<template>
    <div
        :class="
            first
                ? 'tab-pane table-responsive active'
                : 'tab-pane table-responsive'
        "
        :id="'user' + clave.replace('.', '_')"
    >
        <table class="table m-b-0 table-hover">
            <thead>
                <tr>
                    <th>{{ field.user_id }}</th>
                    <th>{{ field.firstname }}</th>
                    <th>{{ field.lastname }}</th>
                    <th>{{ field.email }}</th>
                    <th>{{ field.verification }}</th>
                    <th>{{ field.action }}</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="user of users" :key="user.id">
                    <td>
                        <span class="list-name"
                            >HFS {{ user.id | SetIdForm }}</span
                        >
                    </td>
                    <td>{{ user.firstname }}</td>
                    <td>{{ user.lastname }}</td>
                    <td>{{ user.email }}</td>
                    <td>
                        <span
                            v-if="user.email_verified_at"
                            class="badge badge-success"
                            >{{ field.verified }}</span
                        >
                        <span
                            v-if="!user.email_verified_at"
                            class="badge badge-warning"
                            >{{ field.non_verified }}</span
                        >
                    </td>
                    <td>
                        <a
                            :href="'/dashboard/users/' + user.id"
                            class="btn btn-primary btn-small"
                            >{{ field.edit }}</a
                        >
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</template>
<script>
export default {
    props: ["lang", "clave", "active"],
    mounted() {
        this.get();
    },
    data() {
        return {
            first: this.active,
            field: this.lang,
            users: {},
            key: this.clave
        };
    },
    methods: {
        get() {
            axios
                .get("/api/users/edit?withPermission=" + this.key)
                .then(res => {
                    this.users = res.data;
                });
        }
    }
};
</script>
<style></style>
